<?php 
$epp = 'exit-popup-promo.php';  

function epp_options() {
	global $epp;
	add_options_page( 'Exit Popup Free', 'Exit Popup Free', 'manage_options', $epp, 'epp_option_page');  
}
add_action('admin_menu', 'epp_options');
 
function epp_option_page(){
	global $epp;
	?><div class="wrap">
		<h2><?php echo __('Настройки', 'exit-popup-free') ?></h2>
		<form method="post" enctype="multipart/form-data" action="options.php">
			<?php 
			settings_fields('epp_options');
			do_settings_sections($epp);
			?>
			<p class="submit">  
				<input type="submit" class="button-primary" value="<?php echo __('Сохранить изменения', 'exit-popup-free') ?>" />  
			</p>
		</form>
	</div><?php
}
 
function epp_option_settings() {
	global $epp;
	register_setting( 'epp_options', 'epp_options', 'epp_validate_settings' ); // epp_options
	
	add_settings_section( 'epp_section_main', __('Основные настройки', 'exit-popup-free'), '', $epp );
	
	$epp_field_params = array(
		'type'      => 'text',
		'id'        => 'expire',
		'desc'      => __('-1 - установит на сессию', 'exit-popup-free'),
		'placeholder' => '1',
		'label_for' => 'expire' 
	);
	add_settings_field( 'expire_field', __('Срок действия cookie (дни)', 'exit-popup-free'), 'epp_option_display_settings', $epp, 'epp_section_main', $epp_field_params );
	
	$epp_field_params = array(
		'type'      => 'text',
		'id'        => 'width',
		'placeholder' => '500px', 
		'label_for' => 'width' 
	);
	add_settings_field( 'width_field', __('Ширина модального окна', 'exit-popup-free'), 'epp_option_display_settings', $epp, 'epp_section_main', $epp_field_params );
	
	$epp_field_params = array(
		'type'      => 'text',
		'id'        => 'height',
		'placeholder' => '550px', 
		'label_for' => 'height' 
	);
	add_settings_field( 'height_field', __('Высота модального окна', 'exit-popup-free'), 'epp_option_display_settings', $epp, 'epp_section_main', $epp_field_params );
	
  add_settings_section( 'epp_section_mw', __('Модальное окно', 'exit-popup-free'), '', $epp );
  
	$epp_field_params = array(
		'type'      => 'text',
		'id'        => 'title_mw', 
		'label_for' => 'title_mw' 
	);
	add_settings_field( 'title_mw_field', __('Заголовок', 'exit-popup-free'), 'epp_option_display_settings', $epp, 'epp_section_mw', $epp_field_params );
  
  $epp_field_params = array(
		'type'      => 'textarea',
		'id'        => 'html_mw',
		'desc'      => __('Можно использовать шорткоды', 'exit-popup-free'), 
		'label_for' => 'html_mw' 
	);
	add_settings_field( 'html_mw_field', __('Контент', 'exit-popup-free'), 'epp_option_display_settings', $epp, 'epp_section_mw', $epp_field_params );  
}
add_action( 'admin_init', 'epp_option_settings' );

function epp_set_default_value(){
  if ( get_option( 'epp_options' ) === false ){
    $default_settings = array();
    $default_settings['expire'] = '-1';
    $default_settings['width'] = '500px';
    $default_settings['height'] = '550px';
    $default_settings['title_mw'] = 'Уходите? Останьтесь, мы Вас удивим!';
    update_option( 'epp_options', $default_settings );
  }
} 
add_action( 'admin_init', 'epp_set_default_value', 99);

function epp_option_display_settings($args) {
	extract( $args ); 
	$option_name = 'epp_options'; 
	$o = get_option( $option_name );
  $add_param = "";
  if($placeholder != '') $add_param .= "placeholder='".$placeholder."' ";
	switch ( $type ) { 
		case 'url':  
			$o[$id] = esc_attr( stripslashes($o[$id]) );
			echo "<input class='regular-text' type='url' id='$id' name='" . $option_name . "[$id]' value='$o[$id]' ".$add_param."/>";  
			echo ($desc != '') ? "<br /><span class='description'>$desc</span>" : "";  
		break;
		case 'text':  
			$o[$id] = esc_attr( stripslashes($o[$id]) );
			echo "<input class='regular-text' type='text' id='$id' name='" . $option_name . "[$id]' value='$o[$id]' ".$add_param."/>";  
			echo ($desc != '') ? "<br /><span class='description'>$desc</span>" : "";  
		break;
		case 'textarea':  
			$o[$id] = esc_attr( stripslashes($o[$id]) );
			echo "<textarea class='code large-text' cols='50' rows='10' type='text' id='$id' name='" . $option_name . "[$id]' ".$add_param.">$o[$id]</textarea>";  
			echo ($desc != '') ? "<br /><span class='description'>$desc</span>" : "";  
		break;
		case 'checkbox':
			$checked = ($o[$id] == 'on') ? " checked='checked'" :  '';  
			echo "<label><input type='checkbox' id='$id' name='" . $option_name . "[$id]' $checked /> ";  
			echo ($desc != '') ? $desc : "";
			echo "</label>";  
		break;
		case 'select':
			echo "<select id='$id' name='" . $option_name . "[$id]'>";
			foreach($vals as $v=>$l){
				$selected = ($o[$id] == $v) ? "selected='selected'" : '';  
				echo "<option value='$v' $selected>$l</option>";
			}
			echo ($desc != '') ? $desc : "";
			echo "</select>";  
		break;
		case 'radio':
			echo "<fieldset>";
			foreach($vals as $v=>$l){
				$checked = ($o[$id] == $v) ? "checked='checked'" : '';  
				echo "<label><input type='radio' name='" . $option_name . "[$id]' value='$v' $checked />$l</label><br />";
			}
			echo "</fieldset>";  
		break; 
	}
}
 
function epp_validate_settings($input) {
	
	return $input;
}