<?php
/*
Plugin Name: Exit Popup Free
Description: Выводит всплывающее окно для удержания посетителей, которые собираются покинуть сайт.
Version: 1.0
Author: PROMO
Author URI: https://promo-z.ru/
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: exit-popup-free
Domain Path: /languages/
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
require_once('admin/admin-page.php');
function script_and_style_epp(){
  wp_enqueue_style( 'epp',  plugins_url('assets/css/style.css', __FILE__));
  wp_enqueue_script( 'epp', plugins_url('assets/js/script.js', __FILE__), array('jquery'), '1.0', true);
}
add_action( 'wp_enqueue_scripts', 'script_and_style_epp' );

function epp_popup() {
	$opt = get_option( 'epp_options' );
  $expire = (isset($opt['expire']) && $opt['expire'] != '') ? esc_attr($opt['expire']) : '1';
  $width = (isset($opt['width']) && $opt['width'] != '') ? esc_attr($opt['width']) : 'auto';
  $height = (isset($opt['height']) && $opt['height'] != '') ? esc_attr($opt['height']) : 'auto';
  $title_mw = (isset($opt['title_mw']) && $opt['title_mw'] != '') ? esc_attr($opt['title_mw']) : '';
  $html_mw = (isset($opt['html_mw']) && $opt['html_mw'] != '') ? $opt['html_mw'] : '';
  $html = '';
	if(!isset($_COOKIE['eppViewedWP']) && $_COOKIE['eppViewedWP'] != 'true') {
    $html .= '<div id="exit-popup-promo">';
      $html .= '<div class="epp-overlay"></div>';
      $html .= '<div class="epp-modal" style="width:'.$width.';height:'.$height.';">';
        $html .= '<div class="epp-header"><img src="'.plugins_url('assets/images/banner.png', __FILE__).'" alt="Exit Popup Gift"/><div class="epp-close"></div></div>';
        $html .= '<div class="epp-body">';
          $html .= '<div class="epp-title">'.$title_mw.'</div>';
          $html .= '<div class="epp-content">'.do_shortcode($html_mw).'</div>';
        $html .= '</div>';
        $html .= '<div class="epp-footer"></div>';
      $html .= '</div>';
    $html .= '</div>';
    $write_js = '';
    if($expire == '-1'){
      $write_js .= 'document.cookie = "eppViewedWP=true; path=/;"';
    }else{
      $write_js .= 'var date = new Date; date.setDate(date.getDate() + 1); document.cookie = "eppViewedWP=true; path=/; expires=" + date.toUTCString();';
    }
    $html .= '<script>
    jQuery(document).mouseleave(function(e){
      if(e.clientY < 0){
        jQuery("#exit-popup-promo:not(.viewed)").addClass("show").addClass("viewed");
        writeCookie();
      }
    });
    function writeCookie(){'.$write_js.'}
    </script>';
  }
  echo $html;
}
add_action( 'wp_footer', 'epp_popup', 10 );
?>